

mu0 = 4e-7*Pi;

DefineConstant[    

  // Données
  freq = {50, Choices {50="50 Hz"}, 
    Name "Modèle/Données/01Fréquence", ReadOnly 1},
  sigma_corps = {0.2, Choices {0.2="0.2 S/m"}, 
    Name "Modèle/Données/02Conductivitée tissu", ReadOnly 1},
  bnorm = {1.25e-6, Choices {1.25e-6="1,25 µT"}, 
    Name "Modèle/Données/03Champ normalisé sur le bord", ReadOnly 1},
  
  // Paramètres
  Rd = {0.1, Choices {0.1="100 mm", 0.2="200 mm"}, 
    Name "Modèle/Paramètres/1Rayon du disque",
  ServerAction "Reset Modèle/Résultats/2Densité de courant"},

  Typesource = {1, Choices {1="Champ uniforme", 2="Fil infini",
      3="Ligne bifilaire infinie", 4="Spire circulaire"}, 
    Name "Modèle/Paramètres/2Type de source", 
    ServerAction "Reset Modèle/Paramètres/3Distance à la source,
Modèle/Paramètres/4Distance entre fils,Modèle/Paramètres/4Rayon de la spire,
Modèle/Résultats/2Densité de courant"} 
  
]; 

If (Typesource == 2)
  DefineConstant[    
    d = {10e-3, Choices {10e-3="10 mm", 100e-3="100 mm",
	1="1000 mm"}, Name "Modèle/Paramètres/3Distance à la source",
    ServerAction "Reset Modèle/Résultats/2Densité de courant"}   
  ];
EndIf

If (Typesource == 3)  
  DefineConstant[    
    d = {7.5e-3, Choices {7.5e-3="7,5 mm", 97.5e-3="97,5 mm",
	900e-3="900 mm"}, Name "Modèle/Paramètres/3Distance à la source",
    ServerAction "Reset Modèle/Résultats/1Densité de courant"},
    e = {5e-3, Choices {5e-3="5 mm", 10e-3="10 mm", 20e-3="20 mm", 
	40e-3="40 mm", 80e-3="80 mm"}, Name "Modèle/Paramètres/4Distance entre fils",
    ServerAction "Reset Modèle/Résultats/2Densité de courant"}
  ];
EndIf

If (Typesource == 4)
  DefineConstant[    
    d = {5e-3, Choices {5e-3="5 mm", 850e-3="850 mm"}, 
      Name "Modèle/Paramètres/3Distance à la source",
      ServerAction "Reset Modèle/Résultats/1Densité de courant"},
    r = {10e-3, Choices {10e-3="10 mm", 50e-3="50 mm", 100e-3="100 mm"}, 
      Name "Modèle/Paramètres/4Rayon de la spire",
      ServerAction "Reset Modèle/Résultats/2Densité de courant"}
  ];
EndIf

npoints = 150;
lc = Pi/2.*Rd/npoints;
lc0 = 5*lc;

BORD = 1000;
DIAMETRE = 1001;
DISQUE = 2000;

