/* ------------------------------------------------------------------- 
   File "Aimant_fer_de cheval.geo" 
 
   This file is the geometrical description used by GMSH to produce 
   the file "Aimant_fer_de cheval.msh". 
   ------------------------------------------------------------------- */ 
   //SetFactory("OpenCASCADE"); 
 
   Include "data_aimant_fer_de_cheval.geo"; 
   SetFactory("Built-in"); 
   Geometry.ExtrudeReturnLateralEntities = 1; 
    

   p0      = s/5*1e-3;//12.e-3 
   pair  = 5e-3*s; 

    
   ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
    
   //possibilite d'utiliser la fonction extrude pour tirer un volume 3D à partir d'une surface. Ici j'ai fait le volume//  
   //à la main// 
    
   ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
   /////////////////////////////////////////      CREATION DU U      /////////////////////////////////////////////////// 
   ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
    
 
   ////////////////////////////////////////////// CREATION DES POINTS  ///////////////////////////////////////////////// 
   //Base gauche basse 
Point(1) = {0,0,0,p0}; 
Point(2) = {Epaisseur,0,0,p0}; 
 
//Base droite basse 
Point(5) = {Longueur-Epaisseur,0,0,p0}; 
Point(6) = {Longueur,0,0,p0}; 
 
//Base gauche haute 
Point(9) = {0,Hauteur_barre_droite,0,5*p0}; 
Point(10) = {Epaisseur,Hauteur_barre_droite,0,5*p0}; 
 
//Base droite haute 
Point(13) = {Longueur-Epaisseur,Hauteur_barre_droite,0,5*p0}; 
Point(14) = {Longueur,Hauteur_barre_droite,0,5*p0}; 
 
 
//Delimitation 2 matériaux 
Point(17) = {Longueur/2,Hauteur_barre_droite+Hauteur_arrondi,0,5*p0}; 
Point(18) = {Longueur/2,Hauteur_barre_droite+Epaisseur+Hauteur_arrondi,0,5*p0}; 
 
 
 
Point(21) = {Longueur/2,Hauteur_barre_droite,0,p0}; 
 
////////////////////////////////////////////// CREATION DES LIGNES  ///////////////////////////////////////////////// 
 
//Base gauche basse 
Line(1) = {1,2}; 
//Base droite basse 
Line(5) = {5,6}; 
//Base gauche haute 
Line(9) = {9,10}; 
//Base droite haute 
Line(13) = {13,14}; 
//Separation des materiaux 
Line(17) = {17,18}; 
//Liason entre les bases gauches 
Line(21) = {1,9}; 
Line(22) = {2,10}; 
//Liason entre les bases droites 
Line(25) = {5,13}; 
Line(26) = {6,14}; 
//Ellipse Droite 
Ellipse(30) = {13,21,17}; 
Ellipse(31) = {14,21,18}; 
//Ellipse Gauche 
Ellipse(34) = {9,21,18}; 
Ellipse(35) = {10,21,17}; 
 
////////////////////////////////////////////// REGROUPEMENT DES LIGNES ET MISE EN VOLUME   ////////////////////////////// 
Curve Loop(1) = {1,22,35,17,-34,-21};//aimantN 
Plane Surface(1) = {1}; 
Curve Loop(2) = {5,26,31,-17,-30,-25};//aimantS 
Plane Surface(2)={2}; 
 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
/////////////////////////////////////////      CREATION DU BARREAU      ///////////////////////////////////////////// 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 
////////////////////////////////////////////// CREATION DES POINTS  ///////////////////////////////////////////////// 
Point(23) = {0,-Entrefer1,0,p0}; 
Point(24) = {0,-(Entrefer1+Hauteur_barreau),0,p0}; 
Point(25) = {Longueur,-(Entrefer1+Hauteur_barreau),0,p0}; 
Point(26) = {Longueur,-Entrefer1,0,p0}; 
 
////////////////////////////////////////////// CREATION DES LIGNES   ///////////////////////////////////////////////// 
Line(38) = {23,24}; 
Line(39) = {24,25}; 
Line(40) = {25,26}; 
Line(41) = {26,23}; 
 
Line Loop(3) = {38,39,40,41}; 
Plane Surface(3) = {3}; 
 
 
 
//generation volume par extrusion par translation 
BAR[] = {}; 
AimN[] = {}; 
AimS[] = {}; 
Aiir[] = {}; 
Outer[]={}; 
 
out[] = Extrude {0 ,0 ,Profondeur}{ Surface {1}; Layers {10}; }; 
AimS[]+={out(1)}; 
out[] = Extrude {0 ,0 ,Profondeur}{ Surface {2}; Layers {10}; }; 
AimN[]+={out(1)}; 
out[] = Extrude {0 ,0 ,Profondeur}{ Surface {3}; Layers {10}; }; 
BAR[] += {out(1)}; 
 
 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
/////////////////////////////////////////      CREATION DES FRONTIERES (CUBE AIR)     ///////////////////////////////////////////// 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 


SetFactory("OpenCASCADE"); 
vair = newv;
Box(vair) = {-Longueur, -(Hauteur_totale+Longueur+Entrefer1)/3, -Longueur+Profondeur/2, 3*Longueur, (Hauteur_totale+Longueur+Entrefer1), 2*Longueur};

Sext[] = CombinedBoundary{Volume{vair};};
Sint[] = CombinedBoundary{Volume{AimS[],AimN[],BAR[]};};

Delete {
  Volume{vair}; 
}

SetFactory("Buit-in");
ssl = newsl;
ssl2 = ssl+1;
Surface Loop(ssl) = {Sext[]};
Surface Loop(ssl2) = {Sint[]};
Volume(vair) = {ssl,-ssl2};

Liste_lignes[] = CombinedBoundary{Surface{Sext[]};};



////////////////////////////////////////////// CREATION DES LIGNES  //////////////////////////////////////////////////////// 


sbords[] = CombinedBoundary{Volume{BAR[]};}; 
 
Physical Volume(AimantS) = {AimS[]}; 
Physical Volume(AimantN) = {AimN[]}; 
Physical Volume(AIR) = {vair}; 
Physical Volume(BARREAU) = {BAR[]}; 
 
Physical Surface(OuterSurface) = {Sext[]};
Physical Surface(NORD) = {52};
Physical Surface(SUD) = {84};
Physical Surface(BORDSBARREAU) = {sbords[]};

Color Red {Volume{AimN[]};} 
Color Green {Volume{AimS[]};} 
Color Gray {Volume{vair};} 
Color Black {Volume{BAR[]};}



