/* -------------------------------------------------------------------
   File "cond_plan.geo"
   ------------------------------------------------------------------- */
   Include "data.geo" ;

/* Création de la géométrie */
    /* Création des points */
    Point(0) = { 0 , 0 , 0 , h_cond }; /* origine */
    Point(1) = { 0, -D/2, 0, h_cond} ;
    Point(2) = { 0, -D/2-e_plaque, 0, h_cond} ;
    Point(3) = {  L_plaque/2, -D/2-e_plaque, 0, h_cond} ;
    Point(4) = {  L_plaque/2, -D/2, 0, h_cond} ;

    Point(5) = { 0 , D/2, 0, h_cond} ;
    Point(6) = { 0 , D/2+e_plaque, 0, h_cond} ;
    Point(7) = {  L_plaque/2 , D/2+e_plaque, 0, h_cond} ;
    Point(8) = {  L_plaque/2 , D/2, 0, h_cond} ;

    Point(9)  = { 0 , Rdom, 0, h_air} ;
    Point(10) = { 0 , Rdom+r, 0 , h_air} ;
    Point(11) = { 0 , -Rdom, 0, h_air} ;
    Point(12) = { 0 , -Rdom-r, 0, h_air} ;
    Point(13) = { Rdom , 0, 0, h_air};
    Point(14) = { Rdom+r, 0, 0, h_air};

    /* Création des lignes */

    /* condo bas */
    Line(1) = {1,4};
    Line(2) = {4,3};
    Line(3) = {3,2};

    /* boite */
    Line(4) = {2,11};
    Line(5) = {11,12};
    Line(6) = {10,9};
    Line(7) = {9,6};
    Circle (8) = {9, 0, 13};
    Circle (9) = {13, 0, 11};
    Circle (10) = {10, 0, 14};
    Circle (11) = {14, 0, 12};

    /* condo haut */
    Line(12) = {6,7};
    Line(13) = {7,8};
    Line(14) = {8,5};

    /* ligne inter condo */
    Line(15) = {5,0};
    Line(16) = {0,1};
    Line(17) = {8,4};

    /* Création des contours */
    Curve Loop(1) = {1, -17, 14, 15 , 16};    /* Espace inter condo = milieu dielectrique */
    Curve Loop(2) = {4, -9, -8, 7, 12, 13, 17, 2, 3};   /* Espace air */
    Curve Loop(3) = { 5, -11, -10, 6, 8, 9 };   /* Boite infini */

    /* Création des surfaces */
    Plane Surface(1) = {1};   /* Espace inter condo */
    Plane Surface(2) = {2};   /* Espace air */
    Plane Surface(3) = {3};   /* Boite infini */

    /* Création des surfaces physiques */
    Physical Surface (AIR) = {2};
    Physical Surface (DIELECTRIQUE) = {1};
    Physical Surface (INF_BOX) = {3};

    /* Création des limites pour les conditions aux limites */
    Physical Line (DIRICHLET) = {10, 11};
   /* Physical Line (NEUMANN) = {8,9}; */

    Physical Line (CHARGE) = {12,13,14};

    Physical Line (MASSE) = {1,2,3};

