/* -------------------------------------------------------------------
   File "data.geo"
   ------------------------------------------------------------------- */


/* Noms des regions */

AIR = 1000;
DIELECTRIQUE = 1001;
INF_BOX = 1002;

CHARGE = 100;
MASSE = 200;

DIRICHLET = 500;
/* NEUMANN = 501; */


/* Définition des constantes physiques */
epsilon0 = 8.85418782e-12; /* F.m^-1 */


/* Définition des parmètres geometriques */
DefineConstant[
   e_plaque = { 5 , Min 0.1 , Max 10 , Step 0.1 , Name "Variables/0 Epaisseur des plaques du condensateur" }
   R_plaque = { 25*e_plaque , Min e_plaque , Max 50*e_plaque , Step 1 , Name "Variables/1 Rayon des plaques" }
   D = { 10*e_plaque , Min e_plaque , Max 20*e_plaque , Step 0.1 , Name "Variables/2 Distance entre plaques" }
   POTENTIEL = { 1 , Min 0 , Max 10 , Step 1 , Name "Variables/3 Tension imposée" }
   epsilon_r = { 1 , Min 1 , Max 10 , Step 0.1 , Name "Variables/4 Permittivité relative" }
] ;
L_plaque = 2*R_plaque ; 
Rdom = D+L_plaque+e_plaque;     /* Rayon environnement */
r = D/5;                    /* espace entre les deux demi-cercles */


/* Définition des paramètres de maillage */

h_cond = e_plaque/3;    /* maillage autour d'une plaque */
h_air = Rdom/10;        /* mailage de l'air*/

