# Bonnes pratiques avant de partir tête baissée


## Scripts MATLAB ou Python

1. Pensez à créer dans votre compte un **dossier de travail** (du genre `TP_FEMM`) et différents sous-dossiers pour chaque sujet. Depuis les salles infos, le mieux est d'utiliser un répertoire local dans `C:\Temp\` et de **penser à récupérer ce qu'il contient à la fin de la séance**.   

2. **Pensez à indenter et commenter vos programmes.**

3. Avec MATLAB, pensez à commencer votre programme principal par un bon nettoyage : 
	```Matlab
	close all 	% fermeture de toutes les fenetres ouvertes
	clear 		% suppression de toutes les variables
	clc 		% purge du terminal de commande
	```

 

## FEMM + MATLAB

1. **Passerelle avec MATLAB :**   
	Dans MATLAB, ajoutez (en début de programme) le chemin vers le dossier contenant les fonctions permettant de piloter FEMM :   
	```Matlab
	addpath('C:\femm42\mfiles')
	% sous Linux : addpath('~/.wine/drive_c/femm42/mfiles')
	% Vous pouvez éventuellement sauvegarder ce chemin 
	% pour éviter de devoir le fournir à chaque fois avec 
	% l'interface graphique ou la commande :
	% savepath(...)
	```
		
2. Toutes les commandes dont vous allez avoir besoin se trouvent dans un document PDF très pratique : **`octavefemm.pdf`**. **Vous devez absolument l'avoir avec vous pendant les séances de TP :** 
	* Vous le trouverez dans le dossier `C:\femm42`. 
	* Ou vous pouvez le télécharger directement depuis le [site web](https://www.femm.info/wiki/Files/files.xml?action=download&file=octavefemm.pdf).

## FEMM + Python

1. **Passerelle avec Python :**    
	Importez le module [PyFEMM](https://www.femm.info/wiki/pyFEMM/) (ainsi que NumPy et de quoi tracer des courbes) :
	```Python
	import femm
	import numpy as np
	import matplotlib.pyplot as plt
	```
	
2. Toutes les commandes dont vous allez avoir besoin se trouvent dans un document PDF très pratique : **`pyfemm-manual.pdf`**. **Vous devez absolument l'avoir avec vous pendant les séances de TP :** vous pouvez le télécharger directement depuis le [site web](https://www.femm.info/wiki/pyFEMM/manual.pdf).

<br/>


> **Astuce :** Tous les bouts de code de ce site sont copiables directement en cliquant sur la petite icône <i class="fa fa-copy " ></i>  en haut à droite de chaque bloc les contenant. 
