---
title: "Approximation des Régimes Quasi-Statiques (ARQS)"
menutitle: "ARQS"
draft: false
weight: 6
markup: "goldmark"
math: "true" 
---

## Ordres de grandeur

Rappelons que le but du présent module est de vous permettre de modéliser et simuler par éléments finis des dispositifs typiques de l'électrotechnique / électromécanique correspondant donc à de l'électromagnétisme basse-fréquence. La plage de fréquence concernée va donc du continu $(0~\text{Hz})$ à des valeurs de l'ordre de quelques centaines de $\text{kHz}$. 

Considérons que le dispositif étudié est alimenté par une source sinusoïdale (de tension ou de courant) de pulsation $\omega$ et que les lois de comportement électrique et diélectrique des milieux matériels présents sont linéaires. En notant $\tau_c$ le rapport des normes des termes $\frac{\partial\\,{\bf d}}{\partial t}$ et ${\bf j}$, on obtient après simplifications :
$$ \tau_c = \frac{\varepsilon_0 \varepsilon_r\\,\omega}{\sigma}$$
La table ci-dessous donne quelques valeurs caractéristiques :

|  Matériau   | $\sigma~(\text{S}\cdot\text{m}^{-1})$  | $\varepsilon_r$ | $\tau_c$ @  $1\\,\text{MHz}$ |
|:---: | :---: | :---: | :---: |
| **Cuivre**    | $58\cdot 10^{6}$   | $1$  | $9,93\cdot 10^{-13}$ |
| **Aluminium** | $37,7\cdot 10^{6}$ | $1$  | $1,48\cdot 10^{-12}$ |
| **Fer pur**   | $10,4\cdot 10^{6}$ | $1$  | $5,35\cdot 10^{-12}$ |
| **Eau salée** |   $5$              | $80$ | $8,90\cdot 10^{-4}$  |

On constate que, dans tous ces cas, le terme $\frac{\partial\\,{\bf d}}{\partial t}$ est clairement négligeable devant la densité de courant ${\bf j}$. 

Dans la suite, nous le négligerons donc toujours, et **nous nous placerons donc systématiquement dans ce qu'on appelle l'Approximation des Régimes Quasi-Statiques (ARQS).**

## Équations de Maxwell dans l'ARQS  

Ainsi, la forme des équations de Maxwell que nous résoudrons dans ce cours est celle dans le cadre de l'ARQS, donnée ci-dessous : 

{{% notice warning %}}
**Équations de Maxwell dans l'ARQS :**
$$\left\\{\begin{aligned} \text{div}\\,{\bf b} &= 0 & \text{(MT)} \\\  \text{div}\\,{\bf d} &= \rho_q & \text{(MG)} \\\ {\bf rot\\,h} &= {\bf j} & \text{(MA)} \\\ {\bf rot\\,e} &= -\frac{\partial\\,{\bf b}}{\partial t}~~~ & \text{(MF)}  \end{aligned}\right.$$
{{% /notice %}}

{{% notice note %}}
On remarque que désormais l'équation de Maxwell-Gauss est totalement découplée des autres.
{{% /notice %}}

{{% notice tip %}}
**Remarque :** La divergence appliquée à (MA), nous donne **la loi des nœuds locale :** 
$$\boxed{\text{div}\\,{\bf j} = 0}$$
{{% /notice %}}
