---
title: "Champ électromagnétique"
draft: false
markup: "goldmark"
math: "true" 
weight: 2
---

### Définitions

De façon générale, à l'échelle macroscopique, le champ électromagnétique est constitué de cinq champs vectoriels et d'un champ scalaire : 

* ${\bf h}$ : le **champ magnétique** en $\text{A}\cdot\text{m}^{-1}$ 

* ${\bf e}$ : le **champ électrique** en $\text{V}\cdot\text{m}^{-1}$ 

* ${\bf b}$ : l'**induction magnétique** en $\text{T}$ (= $\text{Wb}\cdot\text{m}^{-2}$)

* ${\bf d}$ : l'**induction électrique** en $\text{C}\cdot\text{m}^{-2}$ 

* ${\bf j}$ : la **densité volumique de courant électrique** en $\text{A}\cdot\text{m}^{-2}$ 

* $\rho_q$ : la **densité volumique de charge électrique** en $\text{C}\cdot\text{m}^{-3}$ 

{{% notice note %}}
Dans ce cours, nous utiliserons les notations anglo-saxonnes pour les **vecteurs** : il seront donc affichés **en gras**. 
{{% /notice %}}

Les six grandeurs ci-dessus sont liées entres-elles par deux types de relations :
1. les [lois de comportement](../loiscomp/) des milieux en présence,
2. les célèbres [équations de Maxwell](../eqmaxwell/).

{{% notice info %}}
Nous distinguerons toujours les inductions et les champs car nous serons en présence d'un ou plusieurs milieux matériels. En fait, nous nous plaçons dans le cadre de ce qu'on appelle l'**Électrodynamique des milieux continus**. 
{{% /notice %}}


