---
title: "Équations de Maxwell"
draft: false
weight: 5
markup: "goldmark"
math: "true" 
---

Les quatre équations de Maxwell sont les relations fondamentales régissant les lois de l'Électromagnétisme.   
Leur **forme universelle** à l'**échelle macroscopique** est donnée ci-dessous :

### Maxwell-Thomson (MT) 
$$\text{div}~{\bf b} = 0$$ 

### Maxwell-Gauss (MG)
$$ \text{div}~{\bf d} = \rho_q$$

### Maxwell-Ampère (MA)
$$ {\bf rot}~{\bf h} = {\bf j} + \frac{\partial\\,{\bf d}}{\partial t}$$ 

### Maxwell-Faraday (MF)
$$ {\bf rot}~{\bf e} = -\frac{\partial\\,{\bf b}}{\partial t}$$

{{% notice warning %}}
**S'il n'y avait qu'une seule chose à retenir en électromagnétisme et à connaître par cœur, c'est celle-là.**
{{% /notice %}}

{{% notice tip %}}
**Remarque :** En prenant la divergence de chaque terme de l'équation de Maxwell-Ampère, on obtient également l'**équation de conservation de la charge** : 
$$ \text{div}~{\bf j} + \frac{\partial\\,\rho_q}{\partial t} = 0$$
{{% /notice %}}

---

{{% notice note %}}
**Petit exercice pour faire une pause :**   
À partir de la forme générale des équations de Maxwell ci-dessus et des lois de comportement précédentes, retrouver comment sont modifiées les équations de Maxwell-Ampère et de Maxwell-Gauss que vous aviez l'habitude d'utiliser en premier cycle.  
{{% /notice %}} 
{{% expand "Cliquer pour afficher un indice" %}}
On utilisera les lois de comportement générales : ${\bf b} = \mu_0\\,({\bf h}+{\bf m})$ et ${\bf d} = \varepsilon_0\\,{\bf e}+{\bf p}$.
{{% /expand%}}
{{% expand "Cliquer pour afficher la solution" %}}
(MG) : $$\text{div}\\,{\bf e} = \frac{\rho_q - \text{div}\\,{\bf p}}{\varepsilon_0}$$

On peut alors définir une densité volumique de **"charges liées"** : $\rho_p = -\text{div}\\,{\bf p}$ pour obtenir : $$\text{div}\\,{\bf e} = \frac{\rho_q+\rho_p}{\varepsilon_0}=\frac{\rho_{\text{total}}}{\varepsilon_0}$$

(MA) : 
$$ {\bf rot\\,b} = \mu_0\\,({\bf j}+{\bf rot\\,m})+\mu_0\\,\left(\varepsilon_0 \frac{\partial\\,{\bf e}}{\partial t}+\frac{\partial\\,{\bf p}}{\partial t}\right)$$

On peut alors définir une **densité volumique de courant liée** : ${\bf j_{liée}} = {\bf j_a}+{\bf j_p}$, faisant intervenir les densités de courant d'aimantation et de polarisation, ${\bf j_a} = {\bf rot\\,m}$ et ${\bf j_p} = \frac{\partial\\,{\bf p}}{\partial t}$, pour obtenir :

$${\bf rot\\,b} = \mu_0\\,\underbrace{({\bf j} + {\bf j_a} + {\bf j_p})}\_{\bf j_{total}} + \mu_0\\,\varepsilon_0\frac{\partial\\,{\bf e}}{\partial t}$$

**⇝ En pratique, ces formes sont difficilement utilisables.** 
{{% /expand%}}


