---
title: "Grandeurs globales : énergies"
menutitle: "Énergies"
draft: false
weight: 2
markup: "goldmark"
math: "true" 
---

## Bilan de puissance (échelle locale)

Comme depuis le début, nous allons continuer de travailler à l'échelle locale. Pour ce faire, sortons quelque temps de l'ARQS et introduisons le vecteur de Poynting ${\bf \Pi_p}$, défini par :
$${\bf \Pi_p} = {\bf e}\wedge{\bf h}$$

Pour un système électromagnétique contenu dans un volume $V$ de bord $\partial V = S$, la puissance énergétique $P\_{\text{em}}$ apportée **sous forme électromagnétique** au système est donnée par le **flux entrant** de ${\bf \Pi_p}$, soit :

$$P\_{\text{em}} = \oiint_S  {\bf \Pi_p}\cdot {\bf n_e}\\,\text{d} S$$

où ${\bf n_e}$ est la normale entrante à la surface. 

Ainsi, en réutilisant nos notations et en appliquant le théorème de la divergence : 

$$P_{\text{em}} = - \oiint_S  {\bf \Pi_p}\cdot {\bf dS} = \iiint_V \underbrace{-\text{div}\\,\left({\bf e}\wedge{\bf h}\right)}\_{p_{\text{em}}}\\,\text{d} V$$

Avec $p\_{\text{em}}$ la densité volumique de puissance électromagnétique, qu'on peut développer avec l'identité vectorielle : 

$$\text{div}\\,\left({\bf e}\wedge{\bf h}\right) = ({\bf rot\\,e})\cdot{\bf h}-{\bf e}\cdot({\bf rot\\,h})$$

Soit : 

$$p\_{\text{em}} = -{\bf h}\cdot({\bf rot\\,e}) + {\bf e}\cdot({\bf rot\\,h})$$

En réinjectant les équations de Maxwell-Ampère et Maxwell-Faraday :

$$\begin{aligned}\displaystyle p\_{\text{em}} &= {\bf h}\cdot\frac{\partial\\,{\bf b}}{\partial t}+ {\bf e}\cdot\left({\bf j} + \frac{\partial\\,{\bf d}}{\partial t}\right)\\\ \displaystyle &= \underbrace{{\bf e}\cdot{\bf j}}\_{p_j} + \underbrace{{\bf h}\cdot\frac{\partial\\,{\bf b}}{\partial t}}\_{p\_{mag}} + \underbrace{{\bf e}\cdot\frac{\partial\\,{\bf d}}{\partial t}}\_{p\_{el}}\end{aligned}$$

Les différents termes étant :

* $p_j$ : densité volumique de puissance dissipée par effet Joule
* $p_{mag}$ : densité volumique de puissance magnétique
* $p_{el}$ : densité volumique de puissance électrostatique

----

## Pertes Joule

Le premier terme du bilan de puissance précédent permet de calculer $P_J$ la puissance dissipée par effet Joule (production de chaleur). Il n'existe que dans les domaines conducteurs. Si nous regroupons ces derniers dans ce que nous appellerons $V_c$, on aura :

$$P_J = \iiint\_{V_c} {\bf e}\cdot{\bf j}~\text{d} V$$

Dans les conducteurs ohmiques, on sait que : ${\bf e} = \rho\\,{\bf j}$, ou ${\bf j} = \sigma\\,{\bf e}$. 

Ainsi, la densité volumique de pertes Joule est :
$$p_j = \rho\\,|\\!|{\bf j}|\\!|^2 = \frac{1}{\sigma}\\,|\\!|{\bf j}|\\!|^2$$

Et les pertes totales :
$$\boxed{P_J = \iiint\_{V_c} \rho\\,|\\!|{\bf j}|\\!|^2~\text{d} V}$$

Dans le cas d'un conducteur portant un courant $I$, on peut directement identifier sa résistance $R$ grâce aux pertes Joule, car $P_J = R\\,I^2$. Ainsi : 
$$\boxed{R = \frac{1}{I^2} \iiint\_{V_c} \rho\\,|\\!|{\bf j}|\\!|^2~\text{d} V}$$

----

## Énergies

### Énergie et coénergie magnétique

#### Énergie magnétique

En définissant $w_{mag}$ comme la densité d'énergie magnétique contenu dans le volume $V$, on a :

$$p_{mag} = \frac{\partial\\,w_{mag}}{\partial t}$$

La variation élémentaire de densité volumique d'énergie pendant $\text{d} t$ est ainsi : 

$$\text{d}\\,w_{mag} = p_{mag}\\,\text{d} t = {\bf h}\cdot\frac{\partial\\,{\bf b}}{\partial t}\\,\text{d} t$$

On peut alors en déduire la **densité volumique d'énergie magnétique** emmagasinée dans le système (à l'instant $t$ correspondant au point de fonctionnement magnétique $({\bf h},{\bf b})$) par :

$$w_{mag} = \int_{t_0}^t {\bf h}\cdot\frac{\partial\\,{\bf b}}{\partial t}\\,\text{d} t = \int_{0}^{b} {\bf h}\cdot{\bf d b}$$
La borne d'intégration inférieure étant choisie arbitrairement pour correspondre à une « énergie stockée nulle » reflétant l'état initial du système. 

Dans le cas particulier de milieux où la loi de comportement magnétique est **linéaire** (${\bf h}=\nu\\,{\bf b}$), on a :

$$ w_{mag} = \int_{0}^{b} \nu\\,{\bf b}\cdot{\bf d b} = \frac{\nu}{2} |\\!|{\bf b}|\\!|^2$$

Soit : 

$$\boxed{w_{mag} = \frac{|\\!|{\bf b}|\\!|^2}{2\\,\mu}}$$

Et, dans le **cas général** :

$$\boxed{w_{mag} = \int_{0}^{b} {\bf h}({\bf b})\cdot{\bf d b}}$$

L'énergie magnétique contenue dans le volume $V$ est ainsi :

$$\boxed{W_{mag} = \left\\{\begin{aligned} &\iiint_V \frac{|\\!|{\bf b}|\\!|^2}{2\\,\mu} \\,\text{d} V , &\text{en linéaire} \\\ ~ & ~ \\\ &\iiint_V \left(\int_{0}^{b} {\bf h}({\bf b})\cdot{\bf d b}\right) \\,\text{d} V , &\text{en non-linéaire}\end{aligned}\right.}$$


#### Coénergie magnétique

On peut également définir la **densité volumique de coénergie magnétique** $\widetilde{w}\_{mag}$ par :

$$\widetilde{w}\_{mag} + w_{mag} = {\bf h}\cdot{\bf b}$$

Alors : 

$$\begin{aligned}\text{d}\\,\widetilde{w}\_{mag} &= \text{d}\left({\bf h}\cdot{\bf b}\right) - \text{d}\\,w\_{mag}\\\ &= {\bf d h}\cdot{\bf b} + \cancel{{\bf h}\cdot{\bf d b}} - \cancel{{\bf h}\cdot{\bf d b}}\\\ &= {\bf b}\cdot{\bf d h}\end{aligned}$$

On en déduit donc :

$$\widetilde{w}_{mag} = \int\_{0}^{h} {\bf b}\cdot{\bf d h}$$
Comme précédemment, la borne d'intégration inférieure est choisie arbitrairement pour correspondre à une « énergie stockée nulle » reflétant l'état initial du système. 

Dans le cas particulier de milieux où la loi de comportement magnétique est **linéaire** (${\bf b}=\mu\\,{\bf h}$), on a :

$$\widetilde{w}\_{mag} = \int_{0}^{h} \mu\\,{\bf h}\cdot{\bf d h} = \frac{\mu}{2} |\\!|{\bf h}|\\!|^2$$

Soit : 

$$\boxed{\widetilde{w}\_{mag} = \frac{\mu\\,|\\!|{\bf h}|\\!|^2}{2}}$$

Et, dans le **cas général** :

$$\boxed{\widetilde{w}\_{mag} = \int_{0}^{h} {\bf b}({\bf h})\cdot{\bf d h}}$$


La coénergie magnétique contenue dans le volume $V$ est alors :

$$\boxed{\widetilde{W}\_{mag} = \left\\{\begin{aligned} &\iiint_V \frac{\mu\\,|\\!|{\bf h}|\\!|^2}{2} \\,\text{d} V , &\text{en linéaire} \\\ ~ & ~ \\\ &\iiint_V \left(\int_{0}^{h} {\bf b}({\bf h})\cdot{\bf d h}\right) \\,\text{d} V , &\text{en non-linéaire}\end{aligned}\right.}$$

Graphiquement, les deux densités volumique peuvent se représenter (dans le cas d'un matériau isotrope) par la figure ci-dessous.
 

{{< figure src="../../../images/figures/wmag.svg" title="Représentation des densités volumiques d'énergie et coénergie magnétiques">}}

{{% notice note %}}
**En linéaire**, les deux surfaces hachurées ci-dessus sont des triangles de même aire, et on a :
$$\boxed{w_{mag} = \frac{1}{2}\\,{\bf h}\cdot{\bf b} = \widetilde{w}\_{mag}}$$

{{% /notice %}}


{{% notice tip %}}
**En linéaire dans l'ARQS**, lorsque les **sources de champs** sont des **courants** situés dans un sous-volume conducteur $V_c$, nous disposons d'une autre formule de calcul de l'énergie magnétique créée par ces courants reposant sur le **potentiel vecteur magnétique**.    
En effet, d'après ce qui précède, dans ce cas :
$$W\_{mag} = \iiint_V \frac{1}{2}\\,{\bf h}\cdot{\bf b}\\,\text{d} V $$    
On peut développer avec une identité vectorielle :
$${\bf h}\cdot{\bf b}={\bf h}\cdot{\bf rot\\,a}={\bf rot\\,h}\cdot{\bf a}-\text{div}({\bf h}\wedge{\bf a})$$   
Ainsi : 
$$W\_{mag} = \frac{1}{2}\left(\iiint_V {\bf rot\\,h}\cdot{\bf a}-\text{div}({\bf h}\wedge{\bf a})\\,\text{d} V \right)$$  
En réinjectant Maxwell-Ampère et en appliquant le théorème de la divergence, on obtient : 
$$W\_{mag} = \frac{1}{2}\left(\iiint_{V_c} {\bf a}\cdot{\bf j}~ \text{d} V + \oiint\limits\_{S=\partial V} ({\bf a}\wedge{\bf h})\cdot{\bf d S} \right)$$
On notera que l'intégrale volumique se limite au domaine conducteur $V_c$ (seul siège de courants).    
Ainsi, pour un système électromagnétique contenu dans un volume choisi suffisamment grand pour que l'influence des sources soient négligeable sur la frontière (${\bf a}$ et/ou ${\bf h}$ nul), on obtient finalement :   
$$\boxed{W\_{mag} = \frac{1}{2} \\, \iiint_{V_c} {\bf a}\cdot{\bf j}~\text{d} V}$$
Cette formule pourra s'avérer très utile en pratique. 
{{% /notice %}}


#### Cas particulier des aimants permanents

En présence de matériaux durs tels que les aimants, nous ne sommes plus sur une courbe $b(h)$ passant par l'origine, mais les formules générales précédentes restent valables.   

Nous allons juste choisir des bornes inférieures différentes :
* $b(h=0) = b_r$ pour l'énergie ;
* $h(b=0) = -h_c$ pour la coénergie.

Graphiquement, on peut ainsi représenter les densités correspondantes sur la figure suivante :
{{< figure src="../../../images/figures/wmagaimants.svg" title="Représentation des densités volumiques d'énergie et coénergie magnétiques dans un aimant">}}

Alors :

$${w}\_{mag} = \int\_{b\_r}^{b} {\bf h}\cdot{\bf d b},~ ~ \text{et} ~ ~\widetilde{w}\_{mag} = \int\_{-h_c}^{h} {\bf b}\cdot{\bf d h}$$

Dans le cas classique de matériaux très durs où la courbe ci-dessus peut être assimilée à une droite, on a ainsi :

$$\begin{aligned}{w}\_{mag} &= \int\_{b\_r}^{b} \frac{\bf (\bf b-b_r)}{\mu_a}\cdot{\bf d b}\\\ & = \frac{1}{\mu_a} \left[\frac{({\bf b-b_r})^2}{2}\right]_{br}^b\\\ &= \frac{1}{2\\,\mu_a} ({\bf b-b_r})^2 = \frac{\mu_a}{2}\\,{\bf h}^2 \end{aligned}$$

On peut faire de même pour la densité volumique de coénergie :

$$\begin{aligned}\widetilde{w}\_{mag} &= \int\_{-h_c}^{h} \mu_a\\,({\bf h+h_c})\cdot{\bf d h}\\\ &=\mu_a \left[\frac{({\bf h+h_c})^2}{2}\right]_{-hc}^h\\\ &= \frac{\mu_a}{2} ({\bf h+h_c})^2 = \frac{{\bf b}^2}{2\\,\mu_a}\\,\end{aligned}$$

{{% notice warning %}}
Chose un peu surprenante, l'expression des densités d'énergie et coénergie magnétiques dans un aimant permanent est l'inverse de celles dans les autres matériaux. Soit :
$$\boxed{w_{mag} = \frac{\mu_a\\,|\\!|{\bf h}|\\!|^2}{2}}~ ~ \text{et} ~ ~\boxed{\widetilde{w}\_{mag}=\frac{|\\!|{\bf b}|\\!|^2}{2\\,\mu_a}}$$
{{% /notice %}}


### Énergie électrostatique 

Tout ce que nous avons fait en magnétisme ci-avant, peut se développer également en électrostatique à partie de la densité volumique de puissance $p_{el}$. Plutôt que de tout redévelopper, nous allons procéder par analogie :  
* ${\bf h} \leftarrow {\bf e}$
* ${\bf b} \leftarrow {\bf d}$
* $\mu \leftarrow \varepsilon$

Ainsi, **en ne considérant que le cas linéaire**, nous obtenons, pour les densités volumiques d'énergie et coénergie électrostatiques :

$$\boxed{w\_{el} = \frac{|\\!|{\bf d}|\\!|^2}{2\\,\varepsilon}=\frac{1}{2}\\,{\bf e}\cdot{\bf d}=\frac{\varepsilon\\,|\\!|{\bf e}|\\!|^2}{2}=\widetilde{w}\_{el}}$$

L'énergie électrostatique contenue dans le système est alors :

$$\boxed{W\_{el} = \iiint_V \frac{1}{2}\\,\varepsilon\\,|\\!|{\bf e}|\\!|^2~\text{d} V = \widetilde{W}\_{el}}$$


{{% notice tip %}}
Nous disposons également d'une formule pour l'énergie basée sur le **potentiel scalaire électrique** $v$. Considérant que la densité volumique de charge $\rho_q$ se situe dans un sous-volume $V_q$ de $V$, on a :
$$\boxed{W\_{el} = \frac{1}{2} \iiint_{V_q} \rho_q\\,v~\text{d} V}$$
{{% /notice %}}


{{% notice note %}}
On aurait pu donner l'ensemble des relations possibles en considérant le cas non-linéaire, mais nous ne l'avons pas fait par souci de concision. On peut quand même fournir les densités volumiques d'énergie qui pourront, le cas échéant servir de point de départ :
$$w\_{el} = \int_{0}^{d} {\bf e}\cdot{\bf d\\,d},~ ~ ~ \text{et} ~ ~ ~ ~\widetilde{w}\_{el} = \int_{0}^{e} {\bf d}\cdot{\bf d\\,e}$$
{{% /notice %}}


