---
title: "Bref historique"
draft: false
weight: 1
---

Bien que plus jeune que la mécanique, l'électromagnétisme est, avec cette dernière, une grande branche de la physique classique. Sur [Wikipédia](https://fr.wikipedia.org/wiki/%C3%89lectromagn%C3%A9tisme#Histoire), on peut trouver un bon résumé historique. Plutôt que de le reformuler, je préfère le pomper odieusement :  

> Pendant longtemps les phénomènes électriques et les phénomènes magnétiques ont été considérés comme indépendants [\[1\]](https://fr.wikipedia.org/wiki/%C3%89lectromagn%C3%A9tisme#cite_note-2). En 1600, [William Gilbert](https://fr.wikipedia.org/wiki/William_Gilbert_(astronome) "William Gilbert (astronome)") explicite, dans son ouvrage *De Magnete*,
>  la distinction entre corps électriques (il introduit ce terme) et 
> magnétiques. Il assimile la Terre à un aimant, note les répulsions et 
> attractions des aimants par leurs pôles et l'influence de la chaleur sur
>  le magnétisme du fer. Il donne aussi les premières notions sur 
> l'électricité, dont une liste des corps électrisables par frottement.
> 
> Les [Grecs](https://fr.wikipedia.org/wiki/Gr%C3%A8ce_antique "Grèce antique") avaient seulement remarqué que des morceaux d'[ambre](https://fr.wikipedia.org/wiki/Ambre "Ambre") frottés pouvaient attirer des corps légers, tels des copeaux ou de la [poussière](https://fr.wikipedia.org/wiki/Poussi%C3%A8re "Poussière"), et par ailleurs qu'il existait un minéral, la « pierre d'[aimant](https://fr.wikipedia.org/wiki/Aimant_permanent "Aimant permanent") » ou [magnétite](https://fr.wikipedia.org/wiki/Magn%C3%A9tite "Magnétite") [\[2\]](https://fr.wikipedia.org/wiki/%C3%89lectromagn%C3%A9tisme#cite_note-3), capable d'attirer le [fer](https://fr.wikipedia.org/wiki/Fer "Fer") et les métaux ferreux.
> 
> La découverte au XIXe siècle par [Ørsted](https://fr.wikipedia.org/wiki/Hans_Christian_%C3%98rsted "Hans Christian Ørsted"), [Ampère](https://fr.wikipedia.org/wiki/Andr%C3%A9-Marie_Amp%C3%A8re "André-Marie Ampère") et [Faraday](https://fr.wikipedia.org/wiki/Michael_Faraday "Michael Faraday") de l'existence d'effets magnétiques de l'électricité a conduit progressivement à envisager que les forces « électrique » et « magnétique » puissent être en fait unifiées, et [Maxwell](https://fr.wikipedia.org/wiki/James_Clerk_Maxwell "James Clerk Maxwell") propose en 1860 une théorie générale de l'électromagnétisme classique, qui pose les fondements de la théorie moderne.
> 
> - La perturbation des boussoles sous l'action de la décharge de la foudre était un phénomène bien connu au XVIIIe siècle.
>    Cela créait un lien entre électricité et magnétisme, mais difficile à 
>   interpréter et impossible à reproduire. Par ailleurs les lois de 
>   l'électricité et du magnétisme énoncées par Charles Coulomb 
>   distinguaient bien l'électricité d'un côté et le magnétisme de l'autre, 
>   même si ces lois se présentaient sous la même forme mathématique.
> 
> - En 1820, le Danois [Hans Christian Ørsted](https://fr.wikipedia.org/wiki/Hans_Christian_%C3%98rsted "Hans Christian Ørsted") fait une observation extraordinaire : un fil rectiligne parcouru par un
>    courant continu dévie l'aiguille d'une boussole placée à proximité.
> 
> - En 1820, André-Marie Ampère met en évidence les interactions entre 
>   courants électriques et assimile tout aimant, y compris le globe 
>   terrestre, à un ensemble de courants [\[3\]](https://fr.wikipedia.org/wiki/%C3%89lectromagn%C3%A9tisme#cite_note-4).
> 
> - En 1831, [Michael Faraday](https://fr.wikipedia.org/wiki/Michael_Faraday "Michael Faraday") étudie le comportement d'un courant dans un champ magnétique, et 
>   s'aperçoit que celui-ci peut produire du travail. Ørsted avait découvert
>    qu'un courant électrique produit un champ magnétique, Faraday découvre 
>   qu'un champ magnétique engendre un courant électrique. Il découvre ainsi
>    le principe du moteur électrique, et donc la conversion du travail 
>   mécanique en énergie électrique, inventant ainsi la génératrice de 
>   courant. Dans un article de 1852 (« *On the Physical Character of the Lines of Magnetic Force* »),
>    Faraday dévoile l'existence du champ magnétique en décrivant les 
>   « lignes de force » le long desquelles s'oriente la limaille de fer au 
>   voisinage de l'aimant.
> 
> - En [1864](https://fr.wikipedia.org/wiki/1864 "1864"), [James Maxwell](https://fr.wikipedia.org/wiki/James_Clerk_Maxwell "James Clerk Maxwell") unifie les théories antérieures, comme l'[électrostatique](https://fr.wikipedia.org/wiki/%C3%89lectrostatique "Électrostatique"), l'[électrocinétique](https://fr.wikipedia.org/wiki/%C3%89lectrocin%C3%A9tique "Électrocinétique") ou la [magnétostatique](https://fr.wikipedia.org/wiki/Magn%C3%A9tostatique "Magnétostatique"). Cette théorie unifiée explique, entre autres, le comportement des [charges](https://fr.wikipedia.org/wiki/Charge_%C3%A9lectrique "Charge électrique") et [courants électriques](https://fr.wikipedia.org/wiki/Courant_%C3%A9lectrique "Courant électrique"), des [aimants](https://fr.wikipedia.org/wiki/Aimant_permanent "Aimant permanent"), ou encore des [ondes électromagnétiques](https://fr.wikipedia.org/wiki/Rayonnement_%C3%A9lectromagn%C3%A9tique "Rayonnement électromagnétique") telles la [lumière](https://fr.wikipedia.org/wiki/Lumi%C3%A8re "Lumière") ou les [ondes radio](https://fr.wikipedia.org/wiki/Onde_radio "Onde radio") qui apparaissent en fait comme la propagation de perturbations électromagnétiques. ***L'électromagnétisme est né***.

⇝ Merci Wikipédia !  Mais pour le reste, on fera sans toi... 😉

