---
title: "Lois globales"
draft: false
weight: 9
markup: "goldmark"
math: "true" 
---

On considère un milieu matériel quelconque de volume $V$ de bord $\partial V = S$ représenté par la figure ci-dessous. 
{{< figure src="../../images/figures/schema_flux_circ.svg" title="Représentation schématique du domaine considéré." >}}

--- 

## Conservation du flux

En appliquant le théorème de la divergence (théorème de Green-Ostrogradski) à l'induction magnétique ${\bf b}$ sur le volume $V$, on obtient : 
$$\iiint_{V} \text{div}\\,{\bf b}~\text{d} V = \oiint_{S} {\bf b}\cdot{\bf d S}$$
D'après l'équation de Maxwell-Thomson, on a donc :

$$\boxed{\oiint_S {\bf b}\cdot{\bf d S} = 0}$$

Ou encore :

$$\underbrace{\iint_{S_1} {\bf b}\cdot{\bf d S_1}}\_{\Phi_1} = - \underbrace{\iint_{S_2} {\bf b}\cdot{\bf d S_2}}\_{\Phi_2}$$

Où $\Phi_1$ et $\Phi_2$ sont respectivement les flux de ${\bf b}$ à travers $S_1$ et $S_2$.   

$\implies {\bf b}$ **est à flux conservatif.**

--- 

## Théorème de Gauss

En appliquant le même théorème à l'induction électrique ${\bf d}$ sur le même volume $V$, et en y injectant l'équation de Maxwell-Gauss :

$$\oiint_S {\bf d}\cdot{\bf dS} = \iiint_V \text{div}\\, {\bf d}~\text{d} V = \iiint_V \rho_q ~ \text{d} V $$

Soit :

$$\boxed{\oiint_S {\bf d}\cdot{\bf dS} = Q_V}$$

Où $Q_V$ est la charge électrique totale contenue dans le volume $V$. 

--- 

## Théorème d'Ampère

Appliquons maintenant le théorème de Stokes au champ magnétique ${\bf h}$ sur le contour $C$ et reportons y l'équation de Maxwell-Ampère :

$$\oint_C {\bf h}\cdot{\bf d l} = \iint_{S_1} {\bf rot}\\,{\bf h} \cdot {\bf d S_1} = \iint_{S_1} {\bf j} \cdot {\bf d S_1}$$

Soit :

$$\boxed{\oint_C {\bf h}\cdot{\bf d l} = I_{S_1}}$$

Où $I_{S_1}$ représente le courant total traversant la surface $S_1$ (courant enlacé par le contour $C$). 

--- 

## Loi de Lenz-Faraday

Appliquons le même théorème au champ électrique ${\bf e}$, toujours sur le contour $C$ : 

$$\oint_C {\bf e}\cdot{\bf d l} = \iint_{S_1} {\bf rot}\\,{\bf e} \cdot {\bf d S_1}$$

En utilisant l'équation de Maxwell-Faraday, on obtient :

$$\oint_C {\bf e}\cdot{\bf d l} = - \iint_{S_1} \frac{\partial\\,{\bf b}}{\partial t}\cdot{\bf d S_1}$$

En considérant que $C$ reste immobile dans le référentiel d'étude, on en déduit :

$$\oint_C {\bf e}\cdot{\bf d l} = - \frac{\text{d}}{\text{d} t} \iint_{S_1} {\bf b}\cdot{\bf d S_1} $$

Soit :

$$\boxed{\oint_C {\bf e}\cdot{\bf d l} = - \frac{\text{d}\\,\Phi_1}{\text{d} t} }$$

Où : $\oint_C {\bf e}\cdot{\bf d l}$ est la force électromotrice (f.é.m $\mathcal{E}$).

{{% notice info %}}
Une bonne généralisation aux cas de circuits en mouvement se trouve dans **[[Four85]](../../ref/#fournet)**. 
{{% /notice %}}

--- 

## Loi des nœuds 

On a vu que la densité de courant ${\bf j}$ était elle-aussi à divergence nulle (par l'équation de Maxwell-Ampère). Par analogie avec l'induction magnétique, on obtient ainsi : 

$$\boxed{\oiint_S {\bf j}\cdot{\bf d S} = 0}$$

Soit :

$$\underbrace{\iint_{S_1} {\bf j}\cdot{\bf d S_1}}\_{I_1} + \underbrace{\iint_{S_2} {\bf j}\cdot{\bf d S_2}}\_{I_2} = 0$$

$\Longrightarrow$ **C'est la loi des nœuds !** 

--- 

## Loi de Biot et Savart

Dans le **cas particulier** de milieux non-magnétiques (donc où ${\bf b} = \mu_0\\,{\bf h}$), nous disposons d'une formule permettant de calculer une valeur locale de l'induction (au point ${\bf x_0}$) à partir de la distribution de courant source (supposée contenue dans le volume $V_s$) :

$$\boxed{{\bf b}({\bf x_0}) = \frac{\mu_0}{4\\,\pi} \iiint_{V_s} \frac{{\bf j}({\bf x})\wedge({\bf x_0}-{\bf x})}{|\\!|{\bf x_0}-{\bf x}|\\!|^3}~\text{d} V_{(\bf x)}}$$

{{% notice note %}}
En réalité, la formule ci-dessus est une généralisation de la Loi de Biot et Savart initialement énoncée pour un circuit filiforme. 
{{% /notice %}}

On dispose de formules analogues, pour :
* le potentiel vecteur magnétique : $${\bf a}({\bf x_0}) = \frac{\mu_0}{4\\,\pi} \iiint_{V_s} \frac{{\bf j}({\bf x})}{|\\!|{\bf x_0}-{\bf x}|\\!|}~\text{d} V_{(\bf x)}$$
* le champ électrique : $${\bf e}({\bf x_0}) = \frac{1}{4\\,\pi\\,\varepsilon_0} \iiint_{V_s} \frac{\rho_q({\bf x})\cdot({\bf x_0}-{\bf x})}{|\\!|{\bf x_0}-{\bf x}|\\!|^3}~\text{d} V_{(\bf x)} $$
* le potentiel scalaire électrique : $$v({\bf x_0}) = \frac{1}{4\\,\pi\\,\varepsilon_0} \iiint_{V_s} \frac{\rho_q({\bf x})}{|\\!|{\bf x_0}-{\bf x}|\\!|}~\text{d} V_{(\bf x)} $$

{{% notice tip %}}
En pratique, le principal intérêt de ce type de formule est de, parfois, permettre de calculer le champ source ou le potentiel vecteur électrique dans une formulation en potentiel scalaire magnétique. 
{{% /notice %}}

