---
title: "Potentiels électriques et magnétiques"
menutitle: "Potentiels"
draft: false
weight: 8
markup: "goldmark"
math: "true" 
---

On se place dans un domaine $\Omega$ (ouvert étoilé quelconque de $\mathbb{R}^3$), et on notera $\Omega_c \subset \Omega$ le sous-domaine conducteur en présence de courants. Nous allons voir que les champs définis précédemment peuvent découler de différents potentiels. 

--- 

## Potentiel vecteur magnétique ${\bf a}$

Prenons comme point de départ l'équation de Maxwell-Thomson dans ce domaine et regardons ce qu'elle implique :    
$$\text{div}\\,{\bf b} = 0 \Leftrightarrow \exists\\,{\bf a}\in \Omega : {\bf b} = {\bf rot\\,a}$$ 
${\bf a}$ est appelé **potentiel vecteur magnétique**.
{{% notice warning %}}
**Attention le potentiel vecteur** ${\bf a}$ **ainsi défini n'est pas unique !** Il est défini à un champ de gradient près.   
En effet, soit ${\bf a}$ tel que ${\bf b} = {\bf rot\\,a}$, alors :
$$ \forall u \in \Omega,~{\bf b} = {\bf rot}\\,\underbrace{\left({\bf a}+{\bf grad}\\,u\right)}_{{\bf a'}} = {\bf rot\\,a}$$
Le potentiel vecteur ${\bf a'}$ convient donc lui-aussi. 
{{% /notice %}}
Pour le rendre unique, il est donc nécessaire de rajouter une **condition de jauge**. Dans l'ARQS, la plus connue est la **jauge de Coulomb** : $$\text{div}\\,{\bf a} = 0$$
Mais il en existe d'autres parfois plus pratiques ou efficaces (d'un point de vue numérique), nous y reviendrons dans la troisième partie du module. 
{{% notice tip %}}
Même avec la condition de jauge, on remarque que le potentiel est encore défini à une constante près. Ceci ne sera pas un souci dès lors qu'on utilisera des conditions aux limites appropriées.   
{{% /notice %}}

--- 

## Potentiel scalaire électrique $v$ 


### Cas de problèmes magnétiques

Dans le cas de problèmes magnétiques, nous avons besoin de connaître les sources, donc ${\bf j}$, donc ${\bf e}$, dans les domaines conducteurs ($\Omega_c$).

Substituons alors l'expression précédente dans l'équation de Maxwell-Faraday : 
$${\bf rot\\,e} = -\frac{\partial}{\partial t}\\,({\bf rot\\,a}) \Leftrightarrow {\bf rot}\\,\left({\bf e} + \frac{\partial\\,{\bf a}}{\partial t}\right) = 0$$    

$$\Leftrightarrow \exists~v \in \Omega_c : {\bf e} + \frac{\partial\\,{\bf a}}{\partial t} = -{\bf grad}\\,v$$    

Soit : $$\exists~v \in \Omega_c : {\bf e} = -{\bf grad}\\,v - \frac{\partial\\,{\bf a}}{\partial t}$$  
$v$ est appelé **potentiel scalaire électrique**.

{{% notice note %}}
On remarquera que l'expression ci-dessus reste valable an remplaçant ${\bf a}$ par ${\bf a'} = {\bf a} + {\bf grad}\\,u$, et $v$ par $v' = v + \frac{\partial\\,u}{\partial t}$. 
{{% /notice %}}


### Cas de problèmes électrostatiques

Pour des problèmes électrostatiques, nous voulons déterminer ${\bf e}$ (et ${\bf d}$) dans tout le domaine d'étude.

Alors, partant de l'équation de Maxwell-Faraday en statique, nous avons directement :

$${\bf rot\\,e} = {\bf 0} \Leftrightarrow  \exists~v \in \Omega : {\bf e} = -{\bf grad}\\,v$$

avec $v$, le **potentiel scalaire électrique**.

--- 

## Potentiel vecteur électrique ${\bf t}$

Nous avons déjà vu que l'équation Maxwell-Ampère impliquait la loi de nœuds locale. En partant de cette dernière, nous avons :
$$\text{div}\\,{\bf j} = 0 \Leftrightarrow \exists~{\bf t} \in \Omega_c : {\bf j} = {\bf rot\\,t}$$   
${\bf t}$ est appelé **potentiel vecteur électrique**.

{{% notice note %}}
On veillera à ne pas confondre le potentiel ${\bf t}$ et la variable temps $t$...
{{% /notice %}}

{{% notice warning %}}
Là encore, le potentiel vecteur ainsi défini n'est pas unique, et il sera nécessaire de rajouter des conditions pour pouvoir le déterminer.   
Dans le troisième chapitre, Nous verrons aussi que, parfois, nous préférerons travailler avec un champ source (noté ${\bf h_s}$) défini lui-aussi par ${\bf j} = {\bf rot\\,h_s}$ soit dans $\Omega$ entier, soit dans un sous-domaine contenant $\Omega_c$, soit dans $\Omega_c$ auquel on ajoutera d'éventuelles coupures. 
{{% /notice %}}

---

## Potentiel scalaire magnétique ${\bf \phi}$

En utilisant le potentiel ${\bf t}$, on peut développer Maxwell-Ampère comme :   

$$ {\bf rot\\,h} = \left\\{\begin{array}{c l} {\bf rot\\,t}~ &\text{dans~} \Omega_{c} \\\\ {\bf 0}~ &\text{dans~} \Omega\setminus\Omega_{c} \end{array}\right.$$   

Ainsi :

$$\left\\{\begin{array}{r l} {\bf rot}\\,({\bf h - t}) = {\bf 0}~ &\text{dans~} \Omega_c\\\ {\bf rot\\,h} = {\bf 0}~ &\text{dans~} \Omega\setminus\Omega_c\end{array}\right.$$

$$\Leftrightarrow\exists~\phi\in\Omega : \left\\{\begin{array}{l l}{\bf h}={\bf t}-{\bf grad}\\,\phi & \text{dans~} \Omega_c\\\ {\bf h}= -{\bf grad}\\,\phi & \text{dans~} \Omega\setminus \Omega_c\end{array}\right.$$

$\phi$ est appelé **potentiel scalaire magnétique**.

{{% notice tip %}}
Dans le cas d'un problème sans courant, par exemple lorsque les seules sources de champ sont des aimants permanents, on a directement :
$$\exists~\phi\in\Omega : {\bf h} = -{\bf grad}\\,\phi$$
{{% /notice %}}

