---
title: Formulaire
disableToc: true
markup: "goldmark"
math: "true" 
---

## Opérateurs

### Coordonnées cartésiennes

* Gradient : $${\bf grad}\\,u = \begin{pmatrix} \displaystyle\frac{\partial\\,u}{\partial x}\\\\[1em] \displaystyle\frac{\partial\\,u}{\partial y}\\\\[1em] \displaystyle\frac{\partial\\,u}{\partial z}\end{pmatrix}$$

* Divergence : $$\text{div}\\,{\bf u} = \frac{\partial\\,u_x}{\partial x}+\frac{\partial\\,u_y}{\partial y}+\frac{\partial\\,u_z}{\partial z}$$

* Rotationnel : $${\bf rot\\,u} = \begin{pmatrix}\displaystyle\frac{\partial\\,u_z}{\partial y}-\frac{\partial\\,u_y}{\partial z}\\\\[1em] \displaystyle \frac{\partial\\,u_x}{\partial z}-\frac{\partial\\,u_z}{\partial x}\\\\[1em] \displaystyle \frac{\partial\\,u_y}{\partial x}-\frac{\partial\\,u_x}{\partial y}\end{pmatrix}$$

* Laplacien : $$\Delta\\,u = \frac{\partial^2\\,u}{\partial x^2}+\frac{\partial^2\\,u}{\partial y^2}+\frac{\partial^2\\,u}{\partial z^2}$$


### Coordonnées cylindriques

* Gradient : $${\bf grad}\\,u = \begin{pmatrix} \displaystyle\frac{\partial\\,u}{\partial r}\\\\[1em] \displaystyle \frac{1}{r}\frac{\partial\\,u}{\partial \theta}\\\\[1em] \displaystyle \frac{\partial\\,u}{\partial z}\end{pmatrix}$$

* Divergence : $$\text{div}\\,{\bf u} = \frac{1}{r}\frac{\partial\\,(r\\,u_r)}{\partial r}+\frac{1}{r}\frac{\partial\\,u_{\theta}}{\partial \theta}+\frac{\partial\\,u_z}{\partial z}$$

* Rotationnel : $${\bf rot\\,u} = \begin{pmatrix}\displaystyle \frac{1}{r}\frac{\partial\\,u_z}{\partial \theta}-\frac{\partial\\,u\_{\theta}}{\partial z}\\\\[1em] \displaystyle \frac{\partial\\,u_r}{\partial z}-\frac{\partial\\,u_z}{\partial r}\\\\[1em] \displaystyle \frac{1}{r}\left(\frac{\partial\\,(r\\,u\_{\theta})}{\partial r}-\frac{\partial\\,u_r}{\partial \theta}\right)\end{pmatrix}$$

* Laplacien : $$\begin{aligned}\Delta\\,u &= \frac{1}{r} \frac{\partial}{\partial r}\left(r \frac{\partial\\,u}{\partial r}\right) + \frac{1}{r^2} \frac{\partial^2\\,u}{\partial \theta^2}+\frac{\partial^2\\,u}{\partial z^2}\\\\[1em] &= \frac{\partial^2\\,u}{\partial r^2} + \frac{1}{r} \frac{\partial\\,u}{\partial r}+\frac{1}{r^2} \frac{\partial^2\\,u}{\partial \theta^2}+\frac{\partial^2\\,u}{\partial z^2}\end{aligned}$$

--- 

 
## Fonctions de Bessel de première espèce{#bessel}

$$ J\_n (x) = \sum_{p=0}^{\infty} \frac{(-1)^p}{p!\\,(n+p)!}\\,\left(\frac{x}{2}\right)^{2 p + n}$$

En particulier :

$$ \left\\{\begin{aligned} &J_0(x) = \sum_{p=0}^{\infty} \frac{(-1)^p}{(p!)^2}\\,\left(\frac{x}{2}\right)^{2 p} \\\\ &J\_1 (x) = \frac{x}{2} \sum_{p=0}^{\infty} \frac{(-1)^p}{p!\\,(p+1)!}\\,\left(\frac{x}{2}\right)^{2 p} \end{aligned}\right\.$$

Et une petite propriété intéressante : $J_0\'(x) = -J_1(x)$ 

--- 

 
## Identités vectorielles

$${\bf u}\cdot({\bf v}\wedge{\bf w}) = {\bf v}\cdot({\bf w}\wedge{\bf u}) = {\bf w}\cdot({\bf u}\wedge{\bf v})$$

$${\bf u}\wedge({\bf v}\wedge{\bf w}) = ({\bf w}\wedge{\bf v})\wedge{\bf u} = {\bf v}({\bf u}\cdot{\bf w})-{\bf w}({\bf u}\cdot{\bf v})$$

$$\text{div}\\,\left({\bf u}\wedge{\bf v}\right) = ({\bf rot\\,u})\cdot{\bf v}-{\bf u}\cdot({\bf rot\\,v})$$

$${\bf rot}({\bf rot\\,u}) = {\bf grad}(\text{div}\\,{\bf u}) - {\bf \Delta\\,u}$$


### Formules de Green

* **grad**-div : $$ \text{div}(u\\,{\bf v}) = ({\bf grad}\\,u)\cdot{\bf v} + (\text{div}\\,{\bf v})\\,u $$

* **rot-rot** : $$\text{div}({\bf u}\wedge{\bf v}) = {\bf v}\cdot{\bf rot\\,u} - {\bf u}\cdot{\bf rot\\,v}$$

---

## Calcul matriciel

$$\text{com}\\,{}^{\operatorname t}{\bf M} = {}^{\operatorname t}\text{com}\\,{\bf M}$$

$${\bf M}\cdot{\bf a}\wedge{\bf M}\cdot{\bf b} = \text{com}\\,{\bf M} \cdot ({\bf a}\wedge{\bf b})$$

$$\text{Soit :}~ ~ {\bf M} = \begin{pmatrix} {\bf c_1} & {\bf c_2} & {\bf c_3}\end{pmatrix} , ~ ~ \text{alors :}~ ~ \det\\,{\bf M} = {\bf c_1}\cdot ({\bf c_2}\wedge{\bf c_3})$$


