---
title: Magnétodynamique
weight: 40
#pre: "<b>3. </b>"
chapter: false
math: true
---


La **magnétodynamique** (en anglais *magnetodynamics*) correspond au calcul de la distribution du champ (ou de l'induction) magnétique et des courants induits produits par des courants variables dans le temps et/ou par des sources en mouvement (aimants ou courants).

Considérons un domaine $\Omega$ de $\mathbb{R}^3$ comportant un sous-domaine $\Omega\_c$ conducteur électrique, dont la frontière $\Gamma (=\partial\Omega)$ est comme précédemment divisée en deux morceaux $\Gamma_d$ et $\Gamma_n$. 

Les équations qui nous concerneront seront :
- Les équations de Maxwell : $$\left\\{\begin{aligned}\text{div}\\,{\bf b} &= 0\\\\{\bf rot}\\,{\bf h} &= {\bf j}~\text{dans }  \Omega\_{c}, \text{ et } {\bf 0} \text{ ailleurs}\\\\{\bf rot\\,e} &= -\frac{\partial\\,{\bf b}}{\partial t} ~\text{dans }\Omega\_c\end{aligned}\right.$$
- Les lois de comportements : $$\left\\{\begin{aligned}{\bf b} &= \mu\\,{\bf h}&\text{dans }\Omega\\\\{\bf j} &= \sigma\\,{\bf e} &\text{dans~}\Omega\_c\end{aligned}\right.$$
- Les contions aux limites, par exemple :
	* continuité de la composante normale de l'induction : ${\bf n}\cdot{\bf b} = 0$ sur $\Gamma_d$ ;
	* continuité de la composante tangentielle du champ : ${\bf n}\wedge{\bf h} = {\bf 0}$ sur $\Gamma_n$. 


## Formulation forte

Le potentiel vecteur magnétique ${\bf a}$ est défini comme précédemment et donc ${\bf b} = {\bf rot\\,a}$. En le repportant dans l'équation de Maxwell-Faraday, on obtient : $${\bf rot}\\,\left\({\bf e}+\frac{\partial\\,{\bf a}}{\partial t}\right\) = {\bf 0}$$.

On peut donc définir dans $\Omega_c$ un champ scalaire $v$, potentiel scalaire électrique tel que ${\bf e}-\frac{\partial\\,{\bf a}}{\partial t} = - {\bf grad}\\,v$, soit : $$ {\bf e} = -{\bf grad}\\,v - \frac{\partial\\,{\bf a}}{\partial t}$$

Et finalement, l'équation de Maxwell-Ampère dans $\Omega_c$ donne : 
$${\bf rot}\\,\left( \mu^{-1}{\bf rot\\,a}\right) = \left\\{\begin{aligned}-\sigma\left({\bf grad}\\,v + \frac{\partial\\,{\bf a}}{\partial t}\right) ~ &~ \text{dans }\Omega\_c\\\\{\bf 0}~ &~ \text{ailleurs}\end{aligned}\right.$$

La deuxième relation permettant de résoudre est la conservation de la densité de courant dans $\Omega_c$ : 
$$\text{div}\left( \sigma\left({\bf grad}\\,v + \frac{\partial\\,{\bf a}}{\partial t}\right)\right) = 0$$

Les conditions aux limites sont analogues à celles vues en magnétostatique ou électrocinétique.


## Formulation faible

En combinant les différentes approches vues dans les sections précédentes, on en déduit la formulation faible complète du problème, dite $({\bf a},v)$ :  

Trouver ${\bf a} \in \textbf{H}\_{0}({\bf rot},\Omega) = \\{ {\bf a} \in \textbf{H}({\bf rot},\Omega) : {\bf a}\wedge{\bf n}\|\_{\Gamma_{d}} = 0\\}$ et $v \in \text{H}\_{0}({\bf grad},\Omega) = \\{ u \in \text{H}({\bf grad},\Omega) : u\|\_{\Gamma_{di}} = v_i\\}$, tels que : 

$$\left\\{\begin{aligned}\left(\mu^{-1}\\,{\bf rot}\\,{\bf a}\\,,\\,{\bf rot}\\,{\bf a'}\right)\_{\Omega} + \left(\sigma\\,\partial_t\\,{\bf a}\\,,\\,{\bf a'}\right)\_{\Omega_c} + \left( \sigma\\,{\bf grad}\\,v \\,,\\, {\bf a'}\right)\_{\Omega\_c} = 0,~ ~ \forall\\,{\bf a'} \in \textbf{H}\_{0}({\bf rot},\Omega) \\\\ (\sigma\\,{\bf grad}\\,v \\,,\\, {\bf grad}\\,v')\_{\Omega\_c} + (\sigma\\,\partial_t\\,{\bf a} \\,,\\, {\bf grad}\\,v')_{\Omega\_c} = 0,~ ~\forall\\, v' \in \text{H}\_{0}({\bf grad},\Omega)\end{aligned}\right.$$    

     
