---
title: Modèle continu 
chapter: false
weight: 2
markup: "goldmark"
math: "true" 
---
 

## Espaces fonctionnels

Soit un domaine $\Omega$ de $\mathbb{R}^3$, de bord $\Gamma = \partial\Omega$ tel que $\Gamma = \Gamma_d \cup \Gamma_n$, comme présenté sur la figure suivante : 
![Domaine d'étude](../../images/figures/omega.svg)

### Espaces des champs de carré intégrable 

Nous considérons l'espace $\text{L}^2(\Omega)$ des champs scalaires $u$ de $\Omega$ défini par :
$$\text{L}^2(\Omega) = \left\\{ u : \iiint_\Omega u^2({\bf x})\\,\text{d} \Omega < \infty \right\\}$$
Il est naturellement muni d'un produit scalaire (produit interne), défini par :
$$(u,v)\_{\Omega} = \iiint_\Omega u({\bf x})\\,v({\bf x})\\,\text{d} \Omega $$
auquel est associée la norme :
$$|\\!| u |\\!|\_{\text{L}^2(\Omega)} = (u,u)\_{\Omega}^{\frac{1}{2}} = \left(\iiint_\Omega u^2({\bf x})\\,\text{d} \Omega\right)^{\frac{1}{2}}  $$

Pour les champs vectoriels ${\bf u}$ de $\Omega$, nous pouvons faire de même avec l'espace $\textbf{L}^2(\Omega)$ : 
$$\textbf{L}^2(\Omega) = \left\\{ {\bf u} : \iiint_\Omega |\\!|{\bf u}({\bf x})|\\!|^2\\,\text{d} \Omega < \infty \right\\}$$

Et le produit scalaire et la norme associée : 
$$({\bf u},{\bf v})\_{\Omega} = \iiint_\Omega {\bf u}({\bf x})\cdot{\bf v}({\bf x})\\,\text{d} \Omega$$
$$|\\!| {\bf u} |\\!|\_{\textbf{L}^2(\Omega)} = ({\bf u},{\bf u})\_{\Omega}^{\frac{1}{2}} = \left(\iiint_\Omega |\\!| {\bf u}({\bf x})|\\!|\\,\text{d} \Omega\right)^{\frac{1}{2}} $$

{{% notice note %}}
Concrètement, ces espaces sont des espaces de Hilbert et correspondent aux champs de $\Omega$ à « énergie finie ». Ils conviennent donc parfaitement à nos champs électromagnétiques (et même à tout champ physique).
{{% /notice %}}

### Espaces de Sobolev

À partir des espaces précédents, on défini d'autres espaces d'intérêt par :

$$\text{H}^1(\Omega) = \left\\{ u \in \text{L}^2(\Omega) : \partial_x u, \partial_y u,\partial_z u \in \text{L}^2(\Omega)\right\\}$$

$$\textbf{H}^1(\Omega) = \left\\{ {\bf u} \in \textbf{L}^2(\Omega) : \partial_x {\bf u}, \partial_y {\bf u},\partial_z {\bf u} \in \textbf{L}^2(\Omega)\right\\}$$

Où $\partial_i$ désigne la dérivée partielle selon la coordonnée $i$ prise au sens des distributions. 

Nos champs étant liés aux opérateurs ${\bf grad}$, $\text{div}$ et ${\bf rot}$, nous utiliserons plutôt les espaces définis ci-dessous :

$$\text{H}({\bf grad},\Omega) = \left\\{ u \in \text{L}^2(\Omega) : {\bf grad}\\,u \in \text{L}^2(\Omega)\right\\} = \text{H}^1(\Omega)$$

$$\textbf{H}({\bf rot},\Omega) = \left\\{ {\bf u} \in \textbf{L}^2(\Omega) : {\bf rot\\,u} \in \textbf{L}^2(\Omega)\right\\}$$

$$\textbf{H}(\text{div},\Omega) = \left\\{ {\bf u} \in \textbf{L}^2(\Omega) : \text{div}\\,{\bf u} \in \text{L}^2(\Omega)\right\\}$$

On peut remarquer que $\text{H}({\bf grad},\Omega)$ est $\text{H}^1(\Omega)$ (c'est juste la notation qui change), ainsi que : 

* ${\bf grad}\left(\text{H}({\bf grad},\Omega)\right) \subset \textbf{H}({\bf rot},\Omega)$,
* ${\bf rot}\left(\textbf{H}({\bf rot},\Omega)\right) \subset \textbf{H}(\text{div},\Omega)$, 
* et $\text{div} \left(\textbf{H}(\text{div},\Omega)\right) \subset \text{L}^2(\Omega)$ 

Finalement, on voit que nos espaces sont liés par ce qu'on appelle le complexe de De Rham :
$$\text{H}^1(\Omega) = \text{H}({\bf grad},\Omega) \xrightarrow[]{{\bf grad}} \textbf{H}({\bf rot},\Omega) \xrightarrow[]{{\bf rot}} \textbf{H}(\text{div},\Omega) \xrightarrow[]{\text{div}} \text{L}^2(\Omega) $$

## Formulations faibles

Dans le cadre de ce cours, nous nous intéresserons principalement à deux types de problèmes détaillés ci-après. Nous verrons dans le [chapitre 3](../../mefem/) que nous pourrons toujours nous ramener à l'une ou l'autre de ces deux formulations.

{{% notice warning %}}
Dans la suite, nous prendrons de gros raccourcis pour ne traiter que les aspects qui nous intéresseront pour résoudre nos problèmes. Vous trouverez un cadre et un développement mathématique plus rigoureux, en particulier sur les régularités des fonctions intervenant dans les formulations, dans le polycopié de votre cours de S7 « Équations aux Dérivées Partielles, *Théorie et résolution numérique* » par X. Antoine **[[Anto21]](../../ref/#antoine)**. 
{{% /notice %}}

--- 

### div-**grad**

#### Formulation forte

Dans un premier temps, nous considérons le problème suivant. On cherche $u$ champ scalaire de $\Omega$ vérifiant la formulation forte :

$$\left\\{\begin{aligned}\text{div}\left(\alpha\\,{\bf grad}\\,u\right) + \beta &= 0~,  &\text{dans}~ \Omega\\\\  \left.u\right\|_{\Gamma\_d} &= 0~,  &\text{sur}~ \Gamma\_d \\\\ \left.\frac{\partial\\,u}{\partial {\bf n}}\right|\_{\Gamma_n} = \left.{\bf grad}\\, u \cdot {\bf n} \right|\_{\Gamma_n} &= \gamma~, &\text{sur}~ \Gamma\_n \end{aligned}\right.$$

où $\alpha, \beta \in \text{L}^2({\Omega})$ continûment différentiables sur $\Omega$ (voire $\overline{\Omega}$), et $\gamma \in \mathcal{C}^1(\Gamma_n)$. 

#### Formulation variationnelle

Soit $v$ champ scalaire quelconque de $\text{H}({\bf grad},\Omega)$, qu'on appelle **fonction test**. En multipliant l'équation de la formulation forte et en intégrant sur tout le domaine, on obtient :
$$\iiint\_{\Omega} \left\[\text{div}\left(\alpha\\,{\bf grad}\\,u\right)\right\]\\,v~\text{d}\Omega + \iiint\_{\Omega} \beta\\,v ~\text{d}\Omega =0$$
 
En utilisant la formule de Green en **grad**-div :
$$ \text{div}(a\\,{\bf b}) = ({\bf grad}\\,a)\cdot{\bf b} + (\text{div}\\,{\bf b})\\,a $$

on peut développer le terme de gauche pour obtenir (intégration par parties) :
$$\iiint\_{\Omega} -(\alpha\\,{\bf grad}\\,u)\cdot{\bf grad}\\,v~\text{d}\Omega + \iiint\_{\Omega} \text{div}(v\\,\alpha\\,{\bf grad}\\,u)~\text{d}\Omega + \iiint\_{\Omega} \beta\\,v ~\text{d}\Omega =0$$ 

On applique alors le théorème de la divergence :
$$\iiint\_{\Omega} -(\alpha\\,{\bf grad}\\,u)\cdot{\bf grad}\\,v~\text{d}\Omega + \oiint\_{\Gamma} v\\,\alpha\\,{\bf grad}\\,u \cdot {\bf n}~\text{d}\Gamma + \iiint\_{\Omega} \beta\\,v ~\text{d}\Omega =0$$

On peut décomposer le terme surfacique en deux en utilisant la condition aux limites de Neumann pour obtenir :  
$$\begin{aligned}\oiint\_{\Gamma} v\\,\alpha\\,{\bf grad}\\,u \cdot {\bf n}~ \text{d}\Gamma &= \iint\_{\Gamma_n} v\\,\alpha\\,{\bf grad}\\,u \cdot {\bf n}~ \text{d}\Gamma + \iint\_{\Gamma_d} v\\,\alpha\\,{\bf grad}\\,u \cdot {\bf n}~ \text{d}\Gamma\\\\ &= \iint\_{\Gamma_n} v\\,\alpha\\,\gamma~ \text{d}\Gamma + \iint\_{\Gamma_d} v\\,\alpha\\,{\bf grad}\\,u \cdot {\bf n}~ \text{d}\Gamma\end{aligned}$$

On aboutit finalement à l'expression générale :

$$\iiint\_{\Omega} (\alpha\\,{\bf grad}\\,u)\cdot{\bf grad}\\,v~ \text{d}\Omega - \iint\_{\Gamma_n} v\\,\alpha\\,\gamma~ \text{d}\Gamma - \iiint\_{\Omega} \beta\\,v ~ \text{d}\Omega = \iint\_{\Gamma_d} v\\,\alpha\\,{\bf grad}\\,u \cdot {\bf n}~ \text{d}\Gamma$$

N'ayant aucune information sur le terme ${\bf grad}\\,u$ sur $\Gamma_d$, ce terme peut être gênant pour déterminer $u$, mais nous pouvons nous en affranchir en choisissant la fonction test $v$ nulle sur $\Gamma_d$. C'est-à-dire en prenant $v \in \text{H}\_0({\bf grad},\Omega)$ définit par : 

$$\boxed{\text{H}\_0({\bf grad},\Omega) = \\{ u \in \text{H}({\bf grad},\Omega) : u\|\_{\Gamma_d} = 0\\} =\text{H}\_0^1(\Omega)}$$

Nous pouvons remarquer que $u \in \text{H}\_0({\bf grad},\Omega)$ aussi. 
 
Nous obtenons alors la formulation faible (ou variationnelle) de notre problème :    

Cherchons $u \in \text{H}\_0({\bf grad},\Omega)$, tel que : 
$$\boxed{\forall v \in \text{H}\_0({\bf grad},\Omega), \iiint\_{\Omega} (\alpha\\,{\bf grad}\\,u)\cdot{\bf grad}\\,v~ \text{d}\Omega - \iiint\_{\Omega} \beta\\,v ~ \text{d}\Omega - \iint\_{\Gamma_n} \alpha\\,\gamma\\,v~ \text{d}\Gamma = 0}$$

Pour simplifier la notation, on peut utiliser les produits scalaires définis en début de page, et le produit surfacique $\left<\cdot,\cdot\right>$ défini par : 
$$\left<u,v\right>\_{\Gamma} = \iint\_{\Gamma} u\\,v\\,\text{d}\Gamma$$

Notre formulation faible s'écrit alors :

$$\boxed{\forall v \in \text{H}\_0({\bf grad},\Omega), \left(\alpha\\,{\bf grad}\\,u,{\bf grad}\\,v\right)\_{\Omega} - \left(\beta,v\right)\_{\Omega} - \left<\alpha\\,\gamma,v\right>\_{\Gamma_n} = 0}$$


{{% notice note %}}
**Remarque :** On pourrait alors montrer (à l'aide du théorème de Lax-Milgram) que le problème correspondant à notre formulation faible est bien posé (existence et unicité de la solution), et qu'il est équivalent (à l'aide du théorème de trace) à la formulation forte, qui, elle aussi, correspond donc à un problème bien posé **[[Anto21]](../../ref/#antoine)**, **[[Kern04]](../../ref/#kern)**, **[[Spit02]](../../ref/#spiteri1)**. 
{{% /notice %}}

#### Remarques importantes sur les conditions aux limites

Nous pouvons remarquer que, selon leur nature, les conditions aux limites sont traitées de façons totalement différentes.

1. **Conditions de Dirichlet :** Elles sont **directement prises en compte via la définition de l'espace fonctionnel** $\text{H}\_0({\bf grad},\Omega)$ (espace des fonctions tests et de recherche de la solution).

2. **Conditions de Neumann :** Elles sont **prises en compte via le terme surfacique $\left<\alpha\\,\gamma,v\right>\_{\Gamma_n}$ dans la formulation faible.** Et en l'absence de ce terme, ce sont des conditions de Neumann homogènes qui s'appliquent sur $\Gamma_n$.    
**C'est pourquoi, en l'absence d'une condition particulière sur un bord du domaine, la condition aux limite par défaut est une condition de Neumann homogène $\frac{\partial\\,u}{\partial {\bf n}} = 0$.** 

--- 

### **rot-rot**

#### Formulation forte

Considérons maintenant la formulation forte suivante. Cherchons un champ vectoriel ${\bf u}$ de $\Omega$ vérifiant :

$$\left\\{\begin{aligned}{\bf rot}\left(\alpha\\,{\bf rot}\\,{\bf u}\right) + \boldsymbol{\beta} & = {\bf 0}~ ,  &\text{dans}~ \Omega\\\\  \left.{\bf u}\wedge{\bf n}\right\|_{\Gamma\_d} &= {\bf 0}~ ,  &\text{sur}~ \Gamma\_d \\\\ \left.\frac{\partial\\,{\bf u}}{\partial {\bf n}}\right|\_{\Gamma_n} = \left.{\bf rot\\,u}\wedge{\bf n}\right|\_{\Gamma_n} &= \boldsymbol{\gamma}~ , &\text{sur}~ \Gamma\_n \end{aligned}\right.$$

où $\alpha \in \text{L}^2({\Omega})$, $\boldsymbol{\beta} \in \textbf{L}^2({\Omega})$ continûment différentiables sur $\Omega$ (voire $\overline{\Omega}$), et $\gamma \in \mathcal{C}^1(\Gamma_n)$. 


#### Formulation variationnelle

Soit la fonction test ${\bf v}$ champ vectoriel quelconque de $\textbf{H}({\bf rot},\Omega)$. En prenant le produit scalaire de l'équation de la formulation forte par ${\bf v}$ et en intégrant sur tout le domaine, on obtient :

$$\iiint\_{\Omega} \left({\bf rot}\left(\alpha\\,{\bf rot}\\,{\bf u}\right)\right)\cdot{\bf v}~ \text{d} \Omega + \iiint\_{\Omega}\boldsymbol{\beta}\cdot{\bf v}~ \text{d} \Omega = {\bf 0}$$

En utilisant la formule de Green en **rot-rot** :
$$\text{div}({\bf a}\wedge{\bf b}) = {\bf b}\cdot{\bf rot\\,a} - {\bf a}\cdot{\bf rot\\,b}$$ 

on peut intégrer par parties le terme de gauche pour obtenir :

$$\iiint\_{\Omega} \left(\alpha\\,{\bf rot}\\,{\bf u}\right)\cdot{\bf rot\\, v}~ \text{d} \Omega - \iiint\_{\Omega} \text{div}\\,\left(\alpha\\,{\bf rot\\,u}\wedge{\bf v}\right)~ \text{d} \Omega + \iiint\_{\Omega}\boldsymbol{\beta}\cdot{\bf v}~ \text{d} \Omega = {\bf 0}$$

Après application du théorème de la divergence : 
 
$$\iiint\_{\Omega} \left(\alpha\\,{\bf rot}\\,{\bf u}\right)\cdot{\bf rot\\, v}~ \text{d} \Omega - \oiint\_{\Gamma} \left(\alpha\\,{\bf rot\\,u}\wedge{\bf v}\right)\cdot{\bf n}~ \text{d} \Gamma + \iiint\_{\Omega}\boldsymbol{\beta}\cdot{\bf v}~ \text{d} \Omega = {\bf 0}$$

En séparant les termes surfaciques et en remarquant que : 
$$\begin{aligned}({\bf rot\\,u}\wedge{\bf v})\cdot{\bf n} &= {\bf n}\cdot({\bf rot\\,u}\wedge{\bf v}) = {\bf rot\\,u}\cdot({\bf v}\wedge{\bf n})\\\\ &= ({\bf n}\wedge{\bf rot\\,u})\cdot{\bf v} = - ({\bf rot\\,u}\wedge{\bf n})\cdot{\bf v}\end{aligned}$$

on obtient :
$$\begin{aligned}\iiint\_{\Omega} \left(\alpha\\,{\bf rot}\\,{\bf u}\right)&\cdot{\bf rot\\, v}~ \text{d} \Omega + \iiint\_{\Omega}\boldsymbol{\beta}\cdot{\bf v}~ \text{d} \Omega \\\\ &+ \iint\_{\Gamma_n} \alpha\\,\underbrace{\left({\bf rot\\,u}\wedge{\bf n}\right)}_{\boldsymbol{\gamma}}\cdot{\bf v}~ \text{d} \Gamma = \iint\_{\Gamma_d} \alpha\\,{\bf rot\\,u}\cdot\left({\bf v}\wedge{\bf n}\right)~ \text{d} \Gamma \end{aligned}$$

Comme précédemment, on peut éliminer le second terme surfacique en prenant la fonction test ${\bf v}$  et la fonction inconnue ${\bf u}$ dans $\textbf{H}\_0({\bf rot},\Omega)$ défini par : 

$$\boxed{ \textbf{H}\_0({\bf rot},\Omega) = \\{{\bf v} \in \textbf{H}({\bf rot},\Omega) : \left.{\bf v}\wedge{\bf n}\right|\_{\Gamma\_d} = {\bf 0} \\} }$$

On aboutit à la formulation faible de notre problème :

Cherchons ${\bf u} \in \textbf{H}\_0({\bf rot},\Omega)$ tel que : 
$$\boxed{\begin{aligned}\forall\\,{\bf v} \in \textbf{H}\_0({\bf rot},\Omega),~
\iiint\_{\Omega} &\left(\alpha\\,{\bf rot}\\,{\bf u}\right)\cdot{\bf rot\\, v}~ \text{d} \Omega \\\\&+ \iiint\_{\Omega} \boldsymbol{\beta}\cdot{\bf v}~ \text{d} \Omega + \iint\_{\Gamma_n} \alpha\\,\boldsymbol{\gamma}\cdot{\bf v}~ \text{d} \Gamma = 0\end{aligned}}$$

Ou encore : 
$$\boxed{\forall\\,{\bf v} \in \textbf{H}\_0({\bf rot},\Omega),~ \left(\alpha\\,{\bf rot\\,u},{\bf rot\\,v}\right)\_{\Omega} + \left(\boldsymbol{\beta},{\bf v}\right)\_{\Omega} + \left<\alpha\\,\boldsymbol{\gamma},{\bf v}\right>\_{\Gamma_n}  = 0}$$


Les remarques précédentes sur les conditions aux limites restent valables :    
* les **conditions de type Dirichlet sont liées à la définition de l'espace fonctionnel**,
* **celles de type Neumann sont liées à la formulation** et par défaut on est en présence d'une condition homogène telle que ${\bf rot\\,u} \perp \Gamma\_n$.  

{{% notice warning %}}
**Attention :** la formulation **rot-rot** ainsi définie ne correspond pas obligatoirement à un problème bien posé. C'est le cas en 2D, mais en 3D nous devrons rajouter une condition de jauge (comme nous le verrons dans la [fin du chapitre](../discret/whitney/#condition-de-jauge)). 
{{% /notice %}}

--- 

### Aspect généraux

Dans les deux cas précédents, on peut écrire chaque formulation de la même façon, donnée par : 
 
$$\displaystyle \forall v \in \text{H}\_0({\bf grad},\Omega), ~ \underbrace{\left(\alpha\\,{\bf grad}\\,u,{\bf grad}\\,v\right)\_{\Omega}}\_{a(u,v)} = \underbrace{\left(\beta,v\right)\_{\Omega} + \left<\alpha\\,\gamma,v\right>\_{\Gamma_n}}\_{L(v)}$$

$$\forall\\,{\bf v} \in \textbf{H}\_0({\bf rot},\Omega),~ \underbrace{\left(\alpha\\,{\bf rot\\,u},{\bf rot\\,v}\right)\_{\Omega}}\_{a({\bf u},{\bf v})} = \underbrace{- \left(\boldsymbol{\beta},{\bf v}\right)\_{\Omega} - \left<\alpha\\,\boldsymbol{\gamma},{\bf v}\right>\_{\Gamma_n}}\_{L({\bf v})} $$

Où $a(\cdot,\cdot)$ est une forme bilinéaire continue et coercive, et $L(\cdot)$ une forme linéaire continue, définies sur $V \left(= \text{H}\_0({\bf grad},\Omega) ~ \text{ou}~ \textbf{H}\_0({\bf rot},\Omega)\right)$. 

*Pour simplifier, on ne conservera que la notation correspodant au premier cas ($u$ et $v$) mais ce que nous dirons sera aussi valable pour le deuxième (avec ${\bf u}$ et ${\bf v}$).*

En fait, ce qu'on appelle formulation variationnelle du problème est cette forme, qu'on écrit : 

$$\boxed{\left\\{\begin{aligned}&\text{Trouver}~ u \in V ~ \text{tel que :}\\\\ &a(u,v) = L(v),~ ~\forall\\,v \in V\end{aligned}\right.}$$

La forme bilinéaire $a$ étant symétrique, résoudre la forme variationnelle est équivalent à trouver le minimum de la fonctionnelle énergétique (quadratique) définie par :

$$\boxed{J(v) = \frac{1}{2}\\,a(v,v) - L(v)}$$

Soit : 

$$\boxed{u = \argmin_{v \in V} J(v)}$$

En effet, on a :

$$\begin{aligned}J(u+v)-J(u) &= \frac{1}{2}\\,a(u+v,u+v) - L(u+v) - \frac{1}{2}\\,a(u,u) + L(u)\\\\ &= \cancel{\frac{1}{2}\\,a(u,u)} + \underbrace{\frac{1}{2}\\,a(u,v) + \frac{1}{2}\\,a(v,u)}\_{a(u,v)} + \frac{1}{2}\\,a(v,v) - \cancel{L(u)} - L(v) - \cancel{\frac{1}{2}\\,a(u,u)} + \cancel{L(u)}\\\\ &= \underbrace{a(u,v) - L(v)}\_{\text{linéaire en}~v} + \underbrace{\frac{1}{2}\\,a(v,v)}\_{o(v)} \end{aligned}$$

On en déduit : 

$$D J(u) v = a(u,v) - L(v)$$

La différentielle de $J$ s'annule donc en $u$, solution de notre problème (ce qui correspond bien au minimum de $J$). 

**On peut donc résoudre notre formulation variationnelle en cherchant à minimiser la fonctionnelle énergétique (ou une approximation de cette dernière), mais en pratique, on préfère une autre méthode pour résoudre la formulation faible : la méthode de Galerkin (dont la MEF est un cas particulier).** 

