---
title: Modèle discret 
chapter: false
weight: 5
markup: "goldmark"
math: "true" 
---

## Idée derrière la MEF

L'idée de base derrière la méthode des éléments finis est l'approche classique consistant à décomposer un problème compliqué en une multitude de petits problèmes beaucoup plus simples à résoudre : 

1. Pour calculer chaque terme intégral de la formulation faible, nous allons les décomposer sur une partition du domaine d'étude qu'on appelle le **maillage**.
2.  Sur chaque élément de ce maillage nous allons définir des fonctions simples (polynomiales) qui nous permettront de générer un **sous-espace de dimension finie** de l'espace fonctionnel auquel appartient notre inconnue (qui, lui, est de dimension infinie). 
3.  Nous calculerons alors la **projection de la solution** de la forme faible dans cet espace discret qui sera alors la meilleure approximation de la solution sur le maillage. 




## Exemple fil rouge (*Running Example*)

Pour illustrer les différents aspects abordés dans la suite, on utilisera l'exemple simple donné par la figure suivante :

{{< figure src="../../images/figures/running_ex.svg" title="Représentation de notre problème exemple">}}

Nous avons donc un problème de Poisson avec conditions de Dirichlet et Neumann, dont la formulation forte peut s'écrire :

$$\left\\{\begin{aligned} \text{div} \left({\bf grad}\\,u \right) + \beta &= 0, ~ \text{dans} ~ \Omega\\\\ u\|\_{\Gamma\_d} &= 0\\\\ \partial\_n u\|\_{\Gamma\_n} &=  \gamma = 1 \end{aligned}\right.$$

avec $\beta$ définie par morceaux par : 
$$\left\\{\begin{aligned} \beta &= 1 ~ ~ \text{ dans } ~ ~ \Omega_s \\\\ \beta &= 0 ~ ~ \text{ dans } ~ ~ \Omega\/\Omega_s \end{aligned}\right.$$

Et d'après la section précédente, la formulation faible est : 
 
$$\begin{aligned}&\text{Trouver} ~ u \in \text{H}\_0({\bf grad},\Omega) = \left\\{ u \in \text{H}({\bf grad},\Omega) : u|\_{\Gamma_d} = 0\right\\} ~ \text{tel que :}\\\\ &\forall v \in \text{H}\_0({\bf grad},\Omega), \iiint\_{\Omega} {\bf grad}\\,u \cdot{\bf grad}\\,v ~\text{d}\Omega - \iiint\_{\Omega_s} v ~ \text{d}\Omega - \iint\_{\Gamma_n} v ~ \text{d}\Gamma = 0\end{aligned}$$

Soit : 

$$\boxed{\begin{aligned}&\text{Trouver} ~ u \in \text{H}\_0({\bf grad},\Omega) ~\text{tel que :}\\\\ &\forall v \in \text{H}\_0({\bf grad},\Omega), ~ ~ \underbrace{\left({\bf grad}\\,u,{\bf grad}\\,v\right)\_{\Omega} }\_{a(u,v)}+ \underbrace{\left(-1,v\right)\_{\Omega_s} + \left<-1,v\right>\_{\Gamma_n}}\_{-L(v)} = 0\end{aligned}}$$

$\rightsquigarrow$ C'est cette dernière que nous résoudrons par la suite. 

