---
title: "Avant-propos"
draft: false
weight: 1
---

De toutes les méthodes numériques pouvant être utilisées pour résoudre les équations aux dérivées partielles relevant de l'électromagnétisme basse fréquence, la méthode des éléments finis (MEF) est sans nul doute la plus répandue. 

Même si elle fut initialement développée pour la mécanique des structures, certains de ses avantages la rendent particulièrement bien adaptée à nos problèmes :
* Elle s'utilise aussi bien sur des maillages structurés que non-structurés et s'adapte donc parfaitement à des géométries complexes. 
* Elle permet d'assurer implicitement les conditions de passage aux interfaces entre les différents milieux à l'intérieur du domaine d'étude. 
* Elle repose sur une formulation intégrale des équations et est donc fortement liée à des considérations énergétiques.
* Elle s'applique à une grande variété de domaines physiques et permet donc de résoudre aisément des problèmes couplés. 

Il existe de nombreux codes de calcul par éléments finis (EF) dédiés à l'électromagnétisme BF. On peut citer par exemple (liste non exhaustive) :

1. Licences propriétaires :
	* [Altair Flux](https://altairengineering.fr/flux/) : propriétaire, 2D et 3D, statique et transitoire, couplage avec la thermique. 
	* [Ansys Maxwell](https://www.ansys.com/fr-fr/products/electronics/ansys-maxwell) : idem
	* [COMSOL Multiphysics (module AC/DC)](https://www.comsol.com/acdc-module) : idem
	* [Opera](https://www.3ds.com/products-services/simulia/products/opera/) : idem 
	* [JMAG](https://www.jmag-international.com/) : propriétaire, suite complète mais fonctionne par modules. 
	* [QuickField](https://quickfield.com/index.htm) : idem

2. Freeware : 
	* [FEMM](https://www.femm.info/wiki/HomePage) : licence non-libre mais source ouverte et gratuit, 2D, statique et harmonique. Cf les **[Travaux Pratiques de l'autre EC du bloc.](https://cours.jufont.net/ensem/tp-femm/)**.

3. Libres (non spécifiquement dédiés à l'électromagnétisme) :
	* [Elmer](https://www.csc.fi/web/elmer) : généraliste 2D/3D qui possède plusieurs solveurs pour l'électromagnétisme BF.
	* [Agros2D](http://www.agros2d.org/) : généraliste 2D 
	* [FreeFEM](https://freefem.org/) : généraliste 2D/3D
	* [Netgen/NGSolve](https://ngsolve.org/) : généraliste 2D/3D (mailleur Netgen et solveur NGSolve).
	* [**ONELAB**](http://onelab.info/) : généraliste 2D/3D, repose sur le mailleur [**Gmsh**](https://gmsh.info/) et le solveur [**GetDP**](https://getdp.info/).

{{% notice note %}}
Dans les travaux pratiques de cet EC, nous utiliserons [**ONELAB**](http://onelab.info/).
{{% /notice %}}

